
// Project: webCDwriter - Network CD Writing
// Author: Jörg Haeger, 30.03.2001

import java.io.*;

class GetSessionInfo extends Command
{
	int numOfFiles = 0, numOfTracks = 0;

	void processHint(String str)
	{
		try {
			if (str.startsWith("files"))
				numOfFiles = parsePairStrInt(str);
			else
			if (str.startsWith("tracks"))
				numOfTracks = parsePairStrInt(str);
		}
		catch (IOException e) {
		}
	}

	public void run(String sessionID, String password)
	{
		execCommand("getSessionInfo "
			+ spaceToEsc(sessionID)
			+ " " + spaceToEsc(password));
		super.run();
	}
}
